#!/bin/gawk
#

BEGIN { srvRqsts=0; srvRplys=0; srvAdverts=0;
	cached=0; treqs=0; trplys=0; urplys=0; uxids=0; success_ratio=0; total_bw =0; 
	min_bw=0; max_bw=0; average_bw=0; std_bw=0; aggregate_bw=0; unsuccessful_bw=0;
	min_lat=0; max_latency=0; average_latency=0; std_latency=0; total_latency=0;
      }

#
# deal with AGENT SENT
#
$1 == "C" { cached++ }
#$1 == "#" { print $0 }

($4 == "AGT" && $7 == "SLP") {
  xid = $18; 
  xids[xid]=xid;
  if ($19 == "srvRqst")
  {
    if ($1 == "s") 
    {
      results[xid, "bw"] = results[xid, "bw"] + $8;
      results[xid, "nrqsts_tx"]++;
      if (results[xid, "nrqsts_tx"]==1) 
        results[xid, "latency"]=$2;
    } 
    else
      results[xid, "nrqsts_rx"]++;    
    
     
  }
  if ($19 == "srvRply")
  {
    if ($1 == "s")
    {
      results[xid, "bw"] = results[xid, "bw"] + $8;
      results[xid, "nrplys_tx"]++;
    }
    else
    {
      results[xid, "nrplys_rx"]++; 
      if (results[xid, "nrplys_rx"]==1) 
      {
        tsent=results[xid, "latency"];
        results[xid, "latency"]=$2-tsent;
      }
    }  
  }
  if ($19 == "srvAdvert")
  {
    if ($1 == "s") 
    {
      results[xid, "bw"] = results[xid, "bw"] + $8;
      results[xid, "nadverts_tx"]++;
    }
    else
      results[xid, "nadverts_rx"]++;  
  }
}    


END {
    for (xid in xids) 
    {
      uxids++;
      if (results[xid,"nrplys_rx"] == 0) 
      {
        unsuccessful_bw = unsuccessful_bw + results[xid, "bw"];
        delete xids[xid];
      }
    }
    
    #initialize the minimum and max values for bw and latency
    if (cached==0) 
    {
      min_bw=results[xid,"bw"];
      max_bw=results[xid,"bw"];
      min_latency=results[xid,"latency"];
      max_latency=results[xid,"latency"];
    }
    #print header
    #printf("xid\trq_s\trq_r\trp_s\trp_r\tbw\tlatency\n");
    #loop for all xids presents
    for (xid in xids) 
    {
      urplys++;
      total_latency=total_latency+results[xid,"latency"];
      total_bw=total_bw+results[xid,"bw"];
      if (results[xid,"bw"] < min_bw)
        min_bw=results[xid,"bw"];
      if (results[xid,"bw"] > max_bw)
        max_bw=results[xid,"bw"];
      if (results[xid,"latency"] < min_latency)
        min_latency=results[xid,"latency"];
      if (results[xid,"latency"] > max_latency)
        max_latency=results[xid,"latency"];

      #printf("%d\t%d\t%d\t%d\t%d\t%d\t%f\n", xid, results[xid,"nrqsts_tx"],results[xid,"nrqsts_rx"], 
      #results[xid,"nrplys_tx"], results[xid,"nrplys_rx"], results[xid,"bw"], 
      #results[xid,"latency"]);
    }
      
    treqs=uxids+cached;
    trplys=urplys+cached;
    success_ratio=(trplys/treqs)*100;
    average_latency=total_latency/trplys;
    average_bw=total_bw/trplys;
    aggregate_bw = total_bw + unsuccessful_bw;
    
    #compute standard deviation
    for (xid in xids) 
    {
      std_bw = std_bw + ((results[xid,"bw"]-average_bw)*(results[xid,"bw"]-average_bw));
      std_latency = std_latency + ((results[xid,"latency"]-average_latency)*(results[xid,"latency"]-average_latency));
    }
    for (i=0; i<cached; i++) 
    {
      std_bw = std_bw + ((0-average_bw)*(0-average_bw));
      std_latency = std_latency + ((0-average_latency)*(0-average_latency));
    }
    std_bw = sqrt(std_bw/(trplys-1));
    std_latency = sqrt(std_latency/(trplys-1));    

       
    
    printf("Rqsts\ttRplys\tuRplys\tCached\tSucc\tminLat\tmaxLat\tavgLat\tstdLat\tminBW\tmaxBW\tavgBW\tstdBW\taggBW\twasBW\n")
    printf("%d\t%d\t%d\t%d\t%.2f\t%.2f\t%.2f\t%.2f\t%.2f\t%d\t%d\t%.2f\t%.2f\t%d\t%d\n",
           treqs, trplys, urplys, cached, success_ratio, min_latency, max_latency,
           average_latency, std_latency, min_bw, max_bw, average_bw, std_bw, aggregate_bw, unsuccessful_bw);
 
}
