#************************************************
# Scenario: Mesh Network
#************************************************

# SLP scenario-particular parameters

set val(scenario)	mesh

set val(x)              3000 		;# X dimension of the topography
set val(y)              3000		;# Y dimension of the topography
set val(nn)             300		;# how many nodes are simulated
set val(sn)             100		;# how many of the nodes are servers
set val(cn)             100		;# how many of the nodes are clients
set val(stop)           2000.0         	;# simulation time + 10 seconds
set val(exp_avg)	1360.0		;# Exponential Distribution average for iia-times
set val(maxSearch)      "false"		;# Allow maximum search "true/false"
set val(lifetime)	100.0		;# Lifetime of a service advertisement
set val(reqs)		1000		;# Number of service requests 
set val(simult)		10		;# Number of clients requesting simultan.
set val(dup)		100		;# Number of duplicated servers

############################################################################## 

if {($argc < 2) || ($argc > 3)} {
  error "usage: scenario runSubdirectory seed <-cache>"
}
set val(runDirectory) [lindex $argv 0]
set val(seed) [lindex $argv 1]
if {($argc==3) && ([lindex $argv 2] == "-cache")} {
  source slp_tools/cache_common.tcl
} else {
  source slp_tools/original_common.tcl
}
