#!/bin/csh 
if ($#argv != 1) then
  echo "usage: ./slpGenerateMotions runDirectory"
  exit 1
endif

set dirName=slpMotion/$argv[1]
set dirName2=slpTraces/$argv[1]

if (! -d $dirName2) then
  mkdir $dirName2
  mkdir $dirName2/original
  mkdir $dirName2/cache
endif

if (-d $dirName) then
  exit 1
endif

mkdir $dirName

./MobileModels/mobgen-ss/mobgen-ss 40 50 30 2000 0.6 0.5 60 60 'N' > $dirName/conf.motion
./MobileModels/rpgm/rpgm 1 40 0 10 600 600 2000 0.5 0.5 60 60 'N' > $dirName/event.motion
./MobileModels/randdir/randdir 100 1500 1500 2000 5 4 30 10 'N' > $dirName/rescue.motion
./MobileModels/rpgm/rpgm 1 10 0 5 1500 1500 2000 20 10 0 0 'N' > $dirName/pursuit.motion
./MobileModels/mobgen-ss/mobgen-ss 20 300 300 2000 0.30 0.25 60 60 'N' > $dirName/pan.motion
./MobileModels/mobgen-ss/mobgen-ss 300 3000 3000 2000 0.30 0.25 250 0 'N' > $dirName/mesh.motion
./MobileModels/mobgen-ss/mobgen-ss 80 1500 1500 2000 14 13 10 10 'N' > $dirName/vr.motion
./MobileModels/mobgen-ss/mobgen-ss 6 10 3 2000 0.6 0.5 30 10 'N' > $dirName/vp.motion
./MobileModels/col-line/col-line 1 50 10 5 1500 1500 2000 1 1 0 0 'N' > $dirName/march.motion
./MobileModels/randwalk/randwalk 250 3000 3000 2000 20 15 20 'N' > $dirName/combat.motion


./MobileModels/mobgen-ss/mobgen-ss 1 50 30 2000 0.6 0.5 60 60 'G' > $dirName/conf.dat
./MobileModels/rpgm/rpgm 1 40 0 10 600 600 2000 0.5 0.5 60 60 'G' > $dirName/event.dat
./MobileModels/randdir/randdir 1 1500 1500 2000 5 4 30 10 'G' > $dirName/rescue.dat
./MobileModels/rpgm/rpgm 1 10 0 5 1500 1500 2000 20 10 0 0 'G' > $dirName/pursuit.dat
./MobileModels/mobgen-ss/mobgen-ss 1 300 300 2000 0.30 0.25 60 60 'G' > $dirName/pan.dat
./MobileModels/mobgen-ss/mobgen-ss 1 3000 3000 2000 0.30 0.25 250 0 'G' > $dirName/mesh.dat
./MobileModels/mobgen-ss/mobgen-ss 1 1500 1500 2000 14 13 10 10 'G' > $dirName/vr.dat
./MobileModels/mobgen-ss/mobgen-ss 1 10 3 2000 0.6 0.5 30 10 'G' > $dirName/vp.dat
./MobileModels/col-line/col-line 1 50 10 5 1500 1500 2000 1 1 0 0 'G' > $dirName/march.dat
./MobileModels/randwalk/randwalk 1 3000 3000 2000 20 15 20 'G' > $dirName/combat.dat


