#!/bin/csh 
if ($#argv < 1 || $#argv > 2) then
  echo "usage: ./tr2Excel directoryName <-cache>"
  exit 1
endif

if (! -d "slpAnalysis") then
  mkdir slpAnalysis
endif


if ($#argv == 2) then
  set slpTraces = slpTraces/$1/cache
  set filename = $1_cache.txt
else  
  set slpTraces = slpTraces/$1/original
  set filename = $1_original.txt
endif

echo -n "scenario	" > slpAnalysis/$filename
awk -f eval.awk $slpTraces/conf.tr | head -n 1 >> slpAnalysis/$filename
echo -n "conf	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/conf.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "event	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/event.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "rescue	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/rescue.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "pursuit	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/pursuit.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "pan	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/pan.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "mesh	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/mesh.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "vr	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/vr.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "vp	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/vp.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "march	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/march.tr | tail -n 1 >> slpAnalysis/$filename
echo -n "combat	" >> slpAnalysis/$filename
awk -f eval.awk $slpTraces/combat.tr | tail -n 1 >> slpAnalysis/$filename

